<?php

add_action('welcome_panel','avopt_dashboard_altervista_panel',1);
function avopt_dashboard_altervista_panel() {
	remove_action('welcome_panel','wp_welcome_panel');
	if ( ! current_user_can( 'edit_theme_options' ) )
		return;

	remove_all_actions('right_now_table_end');
	remove_all_actions('right_now_discussion_table_end');
	remove_all_actions( 'rightnow_end' );
	remove_all_actions( 'activity_box_end' );
	?>
	

	<div id="avopt-top-widget-container" class="avopt-widget-container">
		<div class="avopt-top-panel-widget">
			<div id="avopt-status-widget" class="avopt-dashboard-widget-content postbox">
				<div class="inside clearfix">
					<?php wp_dashboard_right_now(); ?>
					<div id="avopt-gain-table" class="table table_gain">
						<p style="margin-top:60px;text-align:center">
							<img src="http://im.altervista.org/wordpress/images/feed-load.gif" alt="" />
						</p>
					</div>
				</div> <!-- .inside -->
			</div> <!-- #avopt-status-widget -->
		</div><!-- .avopt-top-panel-widget -->
		<div class="avopt-top-panel-widget">
			<div id="avopt-news-widget" class="avopt-dashboard-widget-content postbox">
				<div id="avopt-blog-feed" class="inside clearfix">
					<p style="margin-top:60px;text-align:center">
						<img src="http://im.altervista.org/wordpress/images/feed-load.gif" alt="" />
					</p>
				</div>
			</div>
		</div>
	</div><!-- avopt-top-widget-container -->
	<div id="avopt-bottom-widget-container" class="avopt-widget-container clearfix">
	</div><!-- avopt-bottom-widget-container -->
	<script type="text/javascript">
		
		function avopt_render_panel() {
			
			var widgetsArray = new Array(
				{ "image" : "http://im.altervista.org/wordpress/images/icon-post.png", "link" : "post-new.php", "title" : "<?php _e("New Post", AVOPT); ?>", "target" : "_self", "desc" : "<?php _e("Write a new post", AVOPT); ?>" },
				<?php
					if(get_option('stylesheet') == 'altervista') {
						$design_link = 'customize.php';
						$mobile_link = 'themes.php?page=avtheme_mobile';
					} else {
						$design_link = 'themes.php';
						$mobile_link = 'admin.php?page=wptouch-pro/admin/admin-panel.php';
					}
				?>
				{ "image" : "http://im.altervista.org/wordpress/images/icon-graphics.png", "link" : "<?php echo $design_link; ?>", "title" : "<?php _e("Design", AVOPT); ?>", "target" : "_self", "desc" : "<?php _e("Change the design of your blog", AVOPT); ?>" },
				{ "image" : "http://im.altervista.org/wordpress/images/icon-gain.png", "link" : "admin.php?page=av_optimizer_ads", "title" : "<?php _e("Earn", AVOPT); ?>", "target" : "_self", "desc" : "<?php _e("Earn money with ads", AVOPT); ?>" },
				<?php if(!isset($_SERVER['AV_GROUP_NAME'])) { ?>
				{ "image" : "http://im.altervista.org/wordpress/images/icon-toolbar.png", "link" : "admin.php?page=avopt_toolbar", "title" : "<?php _e("Toolbar", AVOPT); ?>", "target" : "_self", "desc" : "<?php _e("Customize the Toolbar", AVOPT); ?>" },
				<?php } ?>
				{ "image" : "http://im.altervista.org/wordpress/images/icon-mobile.png", "link" : "<?php echo $mobile_link; ?>", "title" : "<?php _e("Mobile", AVOPT); ?>", "target" : "_self", "desc" : "<?php _e("Your blog on smartphones", AVOPT); ?>" },
				<?php if ( is_plugin_active('wordpress-social-ring/wp-social-ring.php') ) { ?>   
				{ "image" : "http://im.altervista.org/wordpress/images/icon-social.png", "link" : "options-general.php?page=wp_social_ring", "title" : "<?php _e("Social Network", AVOPT); ?>", "target" : "_self", "desc" : "<?php _e("Share your posts on social networks", AVOPT); ?>" },
				<?php } ?>
				{ "image" : "http://im.altervista.org/wordpress/images/icon-stats.png", "link" : "admin.php?page=avopt_stats", "title" : "<?php _e("Statistics", AVOPT); ?>", "target" : "_self", "desc" : "<?php _e("Visitors of your blog", AVOPT); ?>" },
				{ "image" : "http://im.altervista.org/wordpress/images/icon-forum.png", "link" : "<?php _e("http://forum.en.altervista.org/cms/", AVOPT); ?>", "title" : "<?php _e("Support", AVOPT); ?>", "target" : "_blank", "desc" : "<?php _e("Get help on AlterVista forum", AVOPT); ?>" },
				{ "image" : "http://im.altervista.org/wordpress/images/icon-profile.png", "link" : "profile.php", "title" : "<?php _e("Profile", AVOPT); ?>", "target" : "_self", "desc" : "<?php _e("Update your personal information", AVOPT); ?>" }
			);
			var screen_limit = Math.floor((jQuery(window).innerWidth()) / 180);
			if(screen_limit > widgetsArray.length) {
				screen_limit = widgetsArray.length;
			}
			var n_icon = screen_limit;
			if(screen_limit < widgetsArray.length) {
				n_icon -= 1;
			}
			var i;
			for (i=0; i < n_icon; i++) {
				var html = '<div class="avopt-dashboard-widget"><div class="avopt-dashboard-widget-content postbox"><div class="inside"><a title="'+widgetsArray[i]["desc"]+'" target="'+widgetsArray[i]["target"]+'" href="'+widgetsArray[i]["link"]+'"><img src="'+widgetsArray[i]["image"]+'" /></a><h3><a title="'+widgetsArray[i]["desc"]+'" href="'+widgetsArray[i]["link"]+'" title="'+widgetsArray[i]["title"]+'">'+widgetsArray[i]["title"]+'</a></h3></div></div></div>';
				jQuery("#avopt-bottom-widget-container").append(html);
			}
			if(n_icon != screen_limit) {
				jQuery("#welcome-panel").append('<div id="avopt-hidden-widget-container" class="avopt-widget-container clearfix"></div>');
				var html = '<div title="<?php _e('See other features', AVOPT); ?>" id="avopt-show-more" class="avopt-dashboard-widget"><div class="avopt-dashboard-widget-content postbox"><div class="inside"><h3><?php _e('Other Features', AVOPT); ?></h3></div></div></div>';
				jQuery("#avopt-bottom-widget-container").append(html);
				for (i; i<widgetsArray.length; i++) {
					html = '<div class="avopt-dashboard-widget"><div class="avopt-dashboard-widget-content postbox"><div class="inside"><a title="'+widgetsArray[i]["desc"]+'" target="'+widgetsArray[i]["target"]+'" href="'+widgetsArray[i]["link"]+'"><img src="'+widgetsArray[i]["image"]+'" /></a><h3><a href="'+widgetsArray[i]["link"]+'" title="'+widgetsArray[i]["desc"]+'">'+widgetsArray[i]["title"]+'</a></h3></div></div></div>';
					jQuery("#avopt-hidden-widget-container").append(html);
				}
				
			}
			<?php if (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 7.0') != false) { ?>
			jQuery(".avopt-dashboard-widget").css("width", 99/screen_limit + "%");
			<?php } else { ?>
			jQuery(".avopt-dashboard-widget").css("width", 100/screen_limit + "%");	
			<?php } ?>
		}
		
		avopt_render_panel();
		
		jQuery("#avopt-show-more").click(avopt_show_more_switch);
		
		function avopt_show_more_switch() {
			jQuery("#avopt-hidden-widget-container").slideToggle();
			jQuery("#avopt-show-more").toggleClass('less-widget');
		}
		
		jQuery(window).resize( function() {
			jQuery("#avopt-bottom-widget-container").empty();
			jQuery("#avopt-hidden-widget-container").remove();
			jQuery("#avopt-show-more").remove();
			avopt_render_panel();
			jQuery("#avopt-show-more").click(avopt_show_more_switch);
		});
		
		var request_earnings = {
			action: 'get_earnings'
		};
		jQuery.post(ajaxurl, request_earnings, function(response_earnings) {
			jQuery('#avopt-gain-table').html(response_earnings);
		});
		var request_feed = {
			action: 'get_avblog_feed'
		};
		jQuery.post(ajaxurl, request_feed, function(response_feed) {
			jQuery('#avopt-blog-feed').html(response_feed);
		});
		
	</script>	   
<?php
}

function avopt_ajax_get_avblog_feed() {
	
	$avblog_feed = get_transient('avblog_feed');
	if(empty($avblog_feed)) {
		$account_info = get_transient('avopt_account_info');
		if(empty($account_info)) {
			$AlterVistaPanel = new WP_AlterVistaPanel();
			if($AlterVistaPanel) {
			    $AlterVistaPanel->get_account_info();
			}
			$account_info = get_transient('avopt_account_info');
		}
		if($account_info['type'] == 'blog') {
			$rss = @fetch_feed( __('http://blog.altervista.org/en/tag/wp-news/feed/', AVOPT) );
		} else {
			$rss = @fetch_feed( __('http://blog.altervista.org/en/tag/site-news/feed/', AVOPT) );
		}
		if ( is_wp_error($rss) ) {
			if ( is_admin() || current_user_can('manage_options') ) {
				echo '<div class="rss-widget"><p>';
				printf(__('<strong>RSS Error</strong>: %s'), $rss->get_error_message());
				echo '</p></div>';
			}
		} elseif ( !$rss->get_item_quantity() ) {
			$html = "<div class=\"avopt_feed_item\">\n";
			$html .= "\t<h3>".__("AlterVista News", AVOPT)."</h3>\n";
			$html .= "\t<div class=\"avopt_feed_content clearfix\">\n";			
			$html .= "\t\t<p>".__('Sorry, no news available', AVOPT)."</p>\n";
			$html .= "\t</div>\n";
			$html .= "</div>\n";
			echo $html;
			echo '</p></div>';
			$rss->__destruct();
			unset($rss);
		} else {
			foreach ($rss->get_items(0 , 1) as $item){
			    
				$feedDescription = $item->get_content();
				$link = $item->get_link();
				while ( stristr($link, 'http') != $link )
				$link = substr($link, 1);
				$link = esc_url(strip_tags($link));
				preg_match("/utm_campaign=([a-z0-9\-]+)/", $link, $matches);
				if ( ($qs_loc = strpos($link, '?')) !== false ) {
					$link = substr($link, 0, $qs_loc);
				}
				$link .= "?utm_source=wp_dashboard&utm_medium=wp_dashboard&utm_campaign=".$matches[1];
				$title = esc_attr(strip_tags($item->get_title()));
				if ( empty($title) )
					$title = __('Untitled', AVOPT);
			    
				$image = avopt_returnImage($feedDescription);
				$image = avopt_scrapeImage($image);
				
				$description = str_replace( array("\n", "\r"), ' ', esc_attr( strip_tags( @html_entity_decode( $item->get_description(), ENT_QUOTES, get_option('blog_charset') ) ) ) );	
				$description = wp_html_excerpt( $description, 360 );
				$html = "<div class=\"avopt_feed_item\">\n";
				$html .= "\t<h3><a href=\"$link\" target=\"_blank\">$title</a></h3>\n";
				$html .= "\t<div class=\"avopt_feed_content clearfix\">\n";
				$html .= "\t\t<a href=\"$link\" target=\"_blank\">\n";
				$html .= "\t\t\t<img alt=\"$title\" width=\"165\" height=\"110\" src=\"$image\" />\n";
				$html .= "\t\t</a>\n";				
				$html .= "\t\t<p>$description</p>\n";
				$html .= "\t\t<p><a href=\"$link\" target=\"_blank\">".__('Read More', AVOPT)." <span style=\"font-size:120%;\">&raquo;</span></a></p>\n";
				$html .= "\t</div>\n";
				$html .= "</div>\n";
				set_transient( 'avblog_feed', $html, 60*60*6 );
				echo $html;
			}
			$rss->__destruct();
			unset($rss);
		}
	} else {
		echo $avblog_feed;
	}
	die();
}
add_action('wp_ajax_get_avblog_feed', 'avopt_ajax_get_avblog_feed');

function avopt_ajax_get_earnings() {
	
	$revenues_data = get_transient('avopt_revenues_info');
	if(empty($revenues_data)) {
		$AlterVistaPanel = new WP_AlterVistaPanel();
		if($AlterVistaPanel) {
		    $AlterVistaPanel->get_revenues();
		    $revenues_data = get_transient('avopt_revenues_info');
		}
	}
	$avopt_language_options = get_option('avopt_language_options');
        $lang = !empty($avopt_language_options['admin_language']) ? $avopt_language_options['admin_language'] : WPLANG;
	if($lang == 'it_IT') {
		setlocale(LC_MONETARY, 'it_IT');
	} else {
		setlocale(LC_MONETARY, 'en_US');
	}
	$avopt_registered_ads = get_option('avopt_ads_options');
	foreach($avopt_registered_ads as $code => $params) {
		if( isset($params['enabled']) && $params['enabled'] ) {
			$banners_enabled = true;
			break;
		}
	}
	if($banners_enabled || !empty($revenues_data['altervista_tot']) && $revenues_data['altervista_tot'] > 0 || !empty($revenues_data['last_payed'])) {
		$current_user = wp_get_current_user();
		if($current_user->user_login == AVOPT_ACCOUNT) {
			$html .= "<p class=\"sub\">".__('Earnings', AVOPT)."</p>\n";
			$html .= "<table>\n<tbody>\n";
			if(!empty($revenues_data['bonus']) && $revenues_data['bonus'] > 0) {
				$html .= "\t<tr class=\"first\">\n";
				$html .= "\t\t<td class=\"t avgain-title\"><a href=\"admin.php?page=avopt_revenues\">".__('Starting Bonus', AVOPT)."</a></td>\n";
				$html .= "\t\t<td class=\"b avgain-money\"><span>".money_format('%!.2n', $revenues_data['bonus'])."</span> &euro;</td>\n";
				$html .= "\t</tr>\n";
				$html .= "\t<tr>\n";
			} else {
				$html .= "\t<tr class=\"first\">\n";
			}
			$html .= "\t<tr>\n";
			$html .= "\t\t<td class=\"t avgain-title\"><a href=\"admin.php?page=avopt_revenues\">".__('AlterVista Banner', AVOPT)."</a></td>\n";
			$html .= "\t\t<td class=\"b avgain-money\"><span>".money_format('%!.2n', $revenues_data['altervista_tot'])."</span> &euro;</td>\n";
			$html .= "\t</tr>\n";
			$html .= "\t<tr>\n";
			$html .= "\t\t<td class=\"t avgain-title\"><a href=\"admin.php?page=avopt_revenues\">".__('Google AdSense', AVOPT)."</a></td>\n";
			$html .= "\t\t<td class=\"b avgain-money\"><span>".money_format('%!.2n', $revenues_data['adsense_tot'])."</span> &euro;</td>\n";
			$html .= "\t</tr>\n";
			$html .= "\t<tr>\n";
			$html .= "\t\t<td class=\"t avgain-title\"><a href=\"admin.php?page=avopt_revenues\">".__('AlterCent', AVOPT)."</a></td>\n";
			$html .= "\t\t<td class=\"b avgain-money ac\"><span>";
			if($lang == 'it_IT') {
				$html .= number_format($revenues_data['altercents'], 0, ' ,' , '.' );
			} else {
				$html .= number_format($revenues_data['altercents'], 0, ' ,' , ',' );
			}
			$html .= "</span></td>\n";
			$html .= "\t</tr>\n</tbody>\n</table>\n";
		} else {
			$html .= "<h3>".__('Earnings', AVOPT)."</h3>\n";
			$html .= "<p class=\"av-earning\">\n";
			$html .= "<b>".AVOPT_ACCOUNT."</b> ".__('is the only user who can see revenues.', AVOPT);
			$html .= "</p>\n";
		}
	} else {
		$html .= "<h3>".__('Earnings', AVOPT)."</h3>\n";
		$html .= "<p class=\"av-earning\">\n";
		$html .= __('Insert ads and earn money.', AVOPT)."<br /> ".__('Start with a', AVOPT)." <strong style=\"color:green\">". __('5 &euro; bonus', AVOPT)."</strong>.<br><br>\n";
		$html .= "<a class=\"button-secondary action\" href=\"admin.php?page=av_optimizer_ads\"><strong>".__('Activate banners', AVOPT)."</strong></a>\n";
		$html .= "</p>\n";	
	}
	echo $html;
	die();
}
add_action('wp_ajax_get_earnings', 'avopt_ajax_get_earnings');

function avopt_returnImage ($text) {
    $text = html_entity_decode($text, ENT_QUOTES, 'UTF-8');
    $pattern = "/<img[^>]+\>/i";
    preg_match($pattern, $text, $matches);
    $text = $matches[0];
    return $text;
}


//This function will filter out image url which we got from previous returnImage() function

function avopt_scrapeImage($text) {
    $pattern = '/src=[\'"]?([^\'" >]+)[\'" >]/';
    preg_match($pattern, $text, $link);
    $link = $link[1];
    $link = urldecode($link);
    return $link;
}

?>