<?php 
// Get the path to the root.
$full_path = __FILE__;
$path_bits = explode( 'wp-content', $full_path );
$url = $path_bits[0];

// Require WordPress bootstrap.
$admin = dirname( __FILE__ ) ;
$admin = substr( $admin , 0 , strpos( $admin , "wp-content" ) ) ;
require_once( $admin . 'wp-admin/admin.php' ) ;
                                   
$avopt_banners_options = get_option('avopt_banners_options');

$avopt_banners_options['border'] = isset($avopt_banners_options['border']) ? $avopt_banners_options['border'] : 'DEDEDE';
$avopt_banners_options['background'] = isset($avopt_banners_options['background']) ? $avopt_banners_options['background'] : 'FFFFFF';
$avopt_banners_options['link'] = isset($avopt_banners_options['link']) ? $avopt_banners_options['link'] : '1122CC';
$avopt_banners_options['url'] = isset($avopt_banners_options['url']) ? $avopt_banners_options['url'] : '009933';
$avopt_banners_options['text'] = isset($avopt_banners_options['text']) ? $avopt_banners_options['text'] : '333333';
$avopt_banners_options['type'] = isset($avopt_banners_options['type']) ? $avopt_banners_options['type'] : 'adsense';
$avopt_banners_options['size'] = isset($avopt_banners_options['size']) ? $avopt_banners_options['size'] : '336X280';

$banner_size = explode('X',$avopt_banners_options['size']);
$banner_size[0] -= 4;
$banner_size[1] -= 4;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php  _e('Insert Banner',AVOPT); ?></title>
	<script type='text/javascript' src='<?php echo bloginfo('wpurl'); ?>/wp-content/plugins/altervista-optimizer/scripts/jscolor/jscolor.js?ver=<?php echo bloginfo('version'); ?>'></script>
	<script type='text/javascript' src='<?php echo bloginfo('wpurl'); ?>/wp-content/plugins/altervista-optimizer/scripts/banner-preview.js?ver=<?php echo bloginfo('version'); ?>'></script>
	<script type='text/javascript' src='<?php echo bloginfo('wpurl'); ?>/wp-includes/js/tinymce/tiny_mce_popup.js?ver=<?php echo bloginfo('version'); ?>'></script>
	<script type='text/javascript' src='<?php echo bloginfo('wpurl'); ?>/wp-includes/js/tinymce/utils/form_utils.js?ver=<?php echo bloginfo('version'); ?>'></script>
	<script type='text/javascript' src='<?php echo bloginfo('wpurl'); ?>/wp-includes/js/tinymce/utils/validate.js?ver=<?php echo bloginfo('version'); ?>'></script>
	<script type="text/javascript" src="js/dialog.js"></script>
	<link rel="stylesheet" type="text/css" href="http://im.altervista.org/wordpress/css/admin.css?ver=<?php echo bloginfo('version'); ?>" />

</head>
<body>
<h3 class="insertadv-title"><?php _e('Insert Banner',AVOPT); ?>:</h3>
<div id="insertadv-dialog">
	<form onsubmit="ExampleDialog.insert();return false;" action="#">
		<div id="insertadv-form-content">
			
			<div id="insertadv-options">
				
				<h4><?php _e('Options',AVOPT); ?></h4>
			
				<div id="insertadv-type" class="insertadv-option">
					<div class="insertadv-optname"><?php _e('Type',AVOPT); ?>:</div>
					<div class="insertadv-optvalue">
						<input onchange="changeNetwork(this.value, null);" id="altervista-type" type="radio" name="network" value="altervista" <?php checked( $avopt_banners_options['network'], 'altervista' ); ?> />
						<label for="altervista-type">AlterVista Banner</label>
						<br /><br />
						<input onchange="changeNetwork(this.value, null);" id="adsense-type" type="radio" name="network" value="adsense" <?php checked( $avopt_banners_options['network'], 'adsense' ); ?> />
						<label for="adsense-type">AlterVista with Google AdSense</label>
						<span style="padding-left:10px;">
						<select name="type" id="adsenseType"<?php
						if($avopt_banners_options['network'] == 'altervista') {
							echo ' disabled="disabled" style="display:none;"';
						}
						?>>
							<option value="default" <?php selected( $avopt_banners_options['type'], 'default' ); ?>>Text/Images</option>
							<option value="text" <?php selected( $avopt_banners_options['type'], 'text' ); ?>>Text Only</option>
							<option value="images" <?php selected( $avopt_banners_options['type'], 'images' ); ?>>Images Only</option>
						</select>
						</span>
						<br />
					</div>
					<input type="hidden" name="typeDef" value="<?php echo $avopt_banners_options['type']; ?>" />
					<input type="hidden" name="networkDef" value="<?php echo $avopt_banners_options['network']; ?>" />
				</div> <!-- #insertadv-type -->
				
				<div id="insertadv-size" class="insertadv-option">
					<div class="insertadv-optname"><?php _e('Size',AVOPT); ?>:</div>
					<div class="insertadv-optvalue">
						<select id="size" onchange="changeSize(this.value);" name="size">
							<?php
							if($avopt_banners_options['network'] == 'adsense') {
							?>
								<option value="336X280" <?php selected( $avopt_banners_options['size'], '336X280' ); ?>><?php _e('Video Banner Large 336x280',AVOPT); ?></option>
								<option value="160X600" <?php selected( $avopt_banners_options['size'], '160X600' ); ?>><?php _e('Skycraper Large 160x600',AVOPT); ?></option>
							<?php
							}
							?>
							<option value="300X250" <?php selected( $avopt_banners_options['size'], '300X250' ); ?>><?php _e('Video Banner 300x250',AVOPT); ?></option>
							<option value="468X60" <?php selected( $avopt_banners_options['size'], '468X60' ); ?>><?php _e('Small 468x60',AVOPT); ?></option>
							<option value="120X600" <?php selected( $avopt_banners_options['size'], '120X600' ); ?>><?php _e('Skycraper 120x600',AVOPT); ?></option>
							<option value="125X125" <?php selected( $avopt_banners_options['size'], '125X125' ); ?>><?php _e('Button 125x125',AVOPT); ?></option>
						</select>
					</div>
					<input type="hidden" name="sizeDef" value="<?php echo $avopt_banners_options['size']; ?>" />
				</div> <!-- #insertadv-size -->
				
				<div id="insertadv-align" class="insertadv-option">
					<div class="insertadv-optname"><?php _e('Alignment',AVOPT); ?>:</div>
					<div class="insertadv-optvalue">
						<input name="align" id="align-none" value="alignnone" type="radio" <?php checked( $avopt_banners_options['align'], 'alignnone' ); ?> />
						<label for="align-none" class="align image-align-none-label"><?php _e('None',AVOPT); ?></label>
						<input name="align" id="align-left" value="alignleft" type="radio" <?php checked( $avopt_banners_options['align'], 'alignleft' ); ?> />
						<label for="align-left" class="align image-align-left-label"><?php _e('Left',AVOPT); ?></label>
						<br /><br />
						<input name="align" id="align-center" value="aligncenter" type="radio" <?php checked( $avopt_banners_options['align'], 'aligncenter' ); ?> />
						<label for="align-center" class="align image-align-center-label"><?php _e('Center',AVOPT); ?></label>
						<input name="align" id="align-right" value="alignright" type="radio" <?php checked( $avopt_banners_options['align'], 'alignright' ); ?> />
						<label for="align-right" class="align image-align-right-label"><?php _e('Right',AVOPT); ?></label>
					</div>
					<input type="hidden" name="alignDef" value="<?php echo $avopt_banners_options['align']; ?>" />
				</div>
				
				<div id="color-inputs">
	
				<div id="insertadv-colors-open" class="insertadv-option">
					<button class="insertadv-button" type="button" onclick="openColorSettings();">
						<img src="http://im.altervista.org/wordpress/images/color.png"> <?php _e('Open colours',AVOPT); ?>
					</button>
				</div>
				<div id="insertadv-colors" class="insertadv-option">
					<div class="insertadv-optname"><?php _e('Colors',AVOPT); ?>:</div>
					<div class="insertadv-optvalue">
						<ul onmouseover="jscolor.init();">
							<li>
								 <select id="border-style" onchange="changeBorders(this.value);" name="corners">
									 <option value="rc:0" <?php selected( $avopt_banners_options['corners'], 'rc:0' ); ?>><?php _e('Squared',AVOPT); ?></option>
									 <option value="rc:6" <?php selected( $avopt_banners_options['corners'], 'rc:6' ); ?>><?php _e('Slightly Rounded',AVOPT); ?></option>
									 <option value="rc:10" <?php selected( $avopt_banners_options['corners'], 'rc:10' ); ?>><?php _e('Very Rounded',AVOPT); ?></option>
								</select>
								 <label><?php _e('Border Style',AVOPT); ?></label>
								 <input type="hidden" name="cornersDef" value="<?php echo $avopt_banners_options['corners']; ?>" />
							</li>
							<li>
								
								<img class="picker-button" onclick="document.getElementById('border-color').color.showPicker();" src="<?php echo bloginfo('wpurl'); ?>/wp-content/plugins/altervista-optimizer/admin/images/picker.png">
								<input onchange="changeColor('border',this.color);" id="border-color" class="color {pickerClosable:true}"  name="border" type="text" value="<?php echo $avopt_banners_options['border']; ?>" />
								<label><?php _e('Border',AVOPT); ?></label>
								<input type="hidden" name="borderDef" value="<?php echo $avopt_banners_options['border']; ?>" />
							</li>
							<li>
								<img class="picker-button" onclick="document.getElementById('bg-color').color.showPicker();" src="<?php echo bloginfo('wpurl'); ?>/wp-content/plugins/altervista-optimizer/admin/images/picker.png">
								<input onchange="changeColor('bg',this.color);" id="background-color" class="color {pickerClosable:true}"  name="background" type="text" value="<?php echo $avopt_banners_options['background']; ?>" />
								<label><?php _e('Background',AVOPT); ?></label>
								<input type="hidden" name="backgroundDef" value="<?php echo $avopt_banners_options['background']; ?>" />
							</li>
							<li>
								<img class="picker-button" onclick="document.getElementById('link-color').color.showPicker();" src="<?php echo bloginfo('wpurl'); ?>/wp-content/plugins/altervista-optimizer/admin/images/picker.png">
								<input onchange="changeColor('link',this.color);" id="link-color" class="color {pickerClosable:true}" name="link" type="text" value="<?php echo $avopt_banners_options['link']; ?>" />
								<label><?php _e('Link',AVOPT); ?></label>
								<input type="hidden" name="linkDef" value="<?php echo $avopt_banners_options['link']; ?>" />
							</li>
							<li>
								<img class="picker-button" onclick="document.getElementById('url-color').color.showPicker();" src="<?php echo bloginfo('wpurl'); ?>/wp-content/plugins/altervista-optimizer/admin/images/picker.png">
								<input onchange="changeColor('url',this.color);" id="url-color" class="color {pickerClosable:true}" name="url" type="text" value="<?php echo $avopt_banners_options['url']; ?>" />
								<label><?php _e('Url',AVOPT); ?></label>
								<input type="hidden" name="urlDef" value="<?php echo $avopt_banners_options['url']; ?>" />
							</li>
							<li>
								<img class="picker-button" onclick="document.getElementById('text-color').color.showPicker();" src="<?php echo bloginfo('wpurl'); ?>/wp-content/plugins/altervista-optimizer/admin/images/picker.png">
								<input onchange="changeColor('text',this.color);" id="text-color" class="color {pickerClosable:true}" name="text" type="text" value="<?php echo $avopt_banners_options['text']; ?>" />
								<label><?php _e('Text',AVOPT); ?></label>
								<input type="hidden" name="textDef" value="<?php echo $avopt_banners_options['text']; ?>" />
							</li>
						</ul>
					</div>
				</div>  <!-- #insertadv-colours -->
				</div> <!-- #color-inputs -->
			</div>  <!-- #insertadv-options -->
			
			<div id="insertadv-preview">
				<h4><?php _e('Preview',AVOPT); ?></h4>
					<?php
					
					$nAds = array(
						'300X250' => 4,
						'336X280' => 4,
						'125X125' => 1,
						'120X600' => 4,
						'160X600' => 5,
						'468X60' => 1
					);
					
					?>
					<div id="banner-adsense" <?php if($avopt_banners_options['network'] == 'altervista') { echo 'style="display:none;"';} ?>>
						<div class="border" id="border" style="line-height:1;border: 1px solid #<?php echo $avopt_banners_options['border']; ?>; height:<?php echo $banner_size[1]; ?>px; width: <?php echo $banner_size[0]; ?>px; background-color: #<?php echo $avopt_banners_options['background']; ?>;">
							<div style="background-color: #<?php echo $avopt_banners_options['background']; ?> " class="bg">
								<div class="link" style="color: #<?php echo $avopt_banners_options['link']; ?>; "><?php _e('Link Title'); ?></div>
								<div class="text" style="color: #<?php echo $avopt_banners_options['text']; ?>; ">Lorem ipsum dolor sit amet, tetur adipisci elit vesti ac ornare vitae cum laude.</div>
								<div class="url" style="color: #<?php echo $avopt_banners_options['url']; ?>; ">www.ads-url.com</div>
							</div>		
						</div> <!-- #border -->
					 </div> <!-- #banner -->
					 <div id="banner-altervista" <?php if($avopt_banners_options['network'] == 'adsense') { echo 'style="display:none;"';} ?>>
						 <img id="banzai-adv" src="">
					 </div>	
					<script type="text/javascript">
					 changeNetwork('<?php echo $avopt_banners_options['network']; ?>','<?php echo $avopt_banners_options['size']; ?>');
					</script>   
			</div> <!-- #insertadv-preview -->
			
			<div id="insertadv-buttons">
				<input class="insertadv-button" type="button" id="insert" name="insert" value="<?php _e('Insert',AVOPT); ?>" onclick="InsertAdvDialog.insert();" />
				<input class="insertadv-button" type="button" id="cancel" name="cancel" value="<?php _e('Cancel',AVOPT); ?>" onclick="tinyMCEPopup.close();" />
			</div>
		</div> <!-- #insertadv-form-content -->
	</form>
</div> <!-- #insertadv-dialog -->

</body>
</html>