tinyMCEPopup.requireLangPack();

var InsertAdvDialog = {

	insert : function() {
		var editor = tinyMCEPopup.editor, form = document.forms[0], inputs = form.elements;

		tinyMCEPopup.restoreSelection();

		// Fixes crash in Safari
		if (tinymce.isWebKit)
			editor.getWin().focus();

		
		var shortcode = '[banner';
		
		// set network
		var network = getCheckedValue(inputs.network);
		if(network != inputs.networkDef.value) {
			shortcode += ' network="' + network + '"';
		}
		
		// set size
		var size = getSelectValue(form,'size');
		if(size != inputs.sizeDef.value) {
			shortcode += ' size="' + size + '"';
		}
		
		// set type
		if(network == 'adsense') {
			if(inputs.type.value != inputs.typeDef.value) {
				shortcode += ' type="' + inputs.type.value + '"';
			}		
		}
		
		// set align
		var align = getCheckedValue(inputs.align);
		if(align != inputs.alignDef.value) {
			shortcode += ' align="' + align + '"';
		}
		
		// set border colour
		if(inputs.border.value != inputs.borderDef.value) {
			shortcode += ' border="' + inputs.border.value + '"';
		}
		
		// set background colour
		if(inputs.background.value != inputs.backgroundDef.value) {
			shortcode += ' background="' + inputs.background.value + '"';
		}
		
		// set link colour
		if(inputs.link.value != inputs.linkDef.value) {
			shortcode += ' link="' + inputs.link.value + '"';
		}
		
		// set text colour
		if(inputs.text.value != inputs.textDef.value) {
			shortcode += ' text="' + inputs.text.value + '"';
		}

		// set url colour
		if(inputs.url.value != inputs.urlDef.value) {
			shortcode += ' url="' + inputs.url.value + '"';
		}
		
		if(inputs.corners.value != inputs.cornersDef.value) {
			shortcode += ' corners="' + inputs.corners.value + '"';
		}
		
		shortcode += ']';

		tinyMCEPopup.editor.execCommand('mceInsertClipboardContent', false, {content : shortcode});
		tinyMCEPopup.close();
	}
};


function getCheckedValue(radioObj) {
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}