<?php

add_action('wp_footer', 'avopt_credits_and_stats');
function avopt_credits_and_stats() {

	$changed = 0;
	global $avopt_credits_options;


	$value = get_option( 'avopt_hide_credits', null );
	if(!$value) {
	?>
		<p style="font-size:11px;clear:both;text-align:center;padding: 10px 0 !important;width:100%; margin: 0 !important;">
			<a ref="nofollow" href="<?php _e('http://en.altervista.org/', AVOPT); ?>">Powered by AlterVista</a>
		</p>
	<?php } ?>
		<script type="text/javascript">
			//<![CDATA[
			document.write('<s'+'cript type="text/javascript" src="http://tb.altervista.org/stats/'+escape(window.location.hostname)+'.js?p='+escape(window.location)+'&amp;r='+new Date().getTime()+'"><\/s'+'cript>');
			//]]>
		</script>
	<?php

}


// ############### ADMIN #################



add_filter( 'admin_init' , 'avopt_register_credit_settings' );

function avopt_register_credit_settings() {
    register_setting( 'general', 'avopt_hide_credits', 'avopt_credit_settings_validate' );
    add_settings_field(
		'avopt_hide_credits',
		__('Hide "Powered by AlterVista"', AVOPT) ,
		'avopt_credit_setting_html' ,
		'general' );
}

function avopt_credit_settings_validate( $input ) {
	$output = $input ? 1 : null;
	return $output;
}
    
    
function avopt_credit_setting_html() {
    $value = get_option( 'avopt_hide_credits', null ); ?>
    <input type="checkbox" id="avopt_hide_credits" name="avopt_hide_credits" value="1" <?php checked($value, 1); ?> />
    <?php
}

?>