function getElementsByClassName(element, className){
        var itemsfound = new Array;
        var elements = element.getElementsByTagName('*');
        for(var i=0;i<elements.length;i++){
                if(elements[i].className == className){
                        itemsfound.push(elements[i]);
                }
        }
        return itemsfound;
}
function openColorSettings() {
        document.getElementById('insertadv-colors-open').style.display = 'none';
        document.getElementById('insertadv-colors').style.display = 'block';	
        return;
}
function changeColor(item, color) {
        switch(item) {
                case 'border':
                        var elements = document.getElementsByTagName('*');
                        for(var i=0;i<elements.length;i++){
                                if(elements[i].className == 'border'){
                                        elements[i].style.borderColor = '#'+color;
                                }
                        }
                        break;
                case 'bg':
                        var elements = document.getElementsByTagName('*');
                        for(var i=0;i<elements.length;i++){
                                if(elements[i].className == 'border' || elements[i].className == 'bg'){
                                        elements[i].style.backgroundColor = '#'+color;
                                }
                        }
                        break;
                case 'link':
                        var elements = document.getElementsByTagName('*');
                        for(var i=0;i<elements.length;i++){
                                if(elements[i].className == 'link'){
                                        elements[i].style.color = '#'+color;
                                }
                        }
                        break;
                case 'url':
                        var elements = document.getElementsByTagName('*');
                        for(var i=0;i<elements.length;i++){
                                if(elements[i].className == 'url'){
                                        elements[i].style.color = '#'+color;
                                }
                        }
                        break;
                case 'text':
                        var elements = document.getElementsByTagName('*');
                        for(var i=0;i<elements.length;i++){
                                if(elements[i].className == 'text'){
                                        elements[i].style.color = '#'+color;
                                }
                        }
                        break;
        }
        return;
}

function changeBorders(borderType) {
        
        switch(borderType) {
                case 'rc:0':
                        document.getElementById('border').style.borderRadius = '0';
                        document.getElementById('border').style.MozBorderRadius = '0';
                        document.getElementById('border').style.WebkitBorderRadius = '0';
                        break;
                case 'rc:6':
                        document.getElementById('border').style.borderRadius = '5px';
                        document.getElementById('border').style.MozBorderRadius = '5px';
                        document.getElementById('border').style.WebkitBorderRadius = '5px';
                        break;
                case 'rc:10':
                        document.getElementById('border').style.borderRadius = '10px';
                        document.getElementById('border').style.MozBorderRadius = '10px';
                        document.getElementById('border').style.WebkitBorderRadius = '10px';
                        break;
        }
        
}

function changeNetwork(network, size) {
    if(network == 'altervista') {
        document.getElementById('adsenseType').style.display = 'none';
        document.getElementById('adsenseType').setAttribute('disabled','disabled');
        document.getElementById('border-color').setAttribute('disabled','disabled');
        document.getElementById('border-style').setAttribute('disabled','disabled');
        document.getElementById('background-color').setAttribute('disabled','disabled');
        document.getElementById('link-color').setAttribute('disabled','disabled');
        document.getElementById('url-color').setAttribute('disabled','disabled');
        document.getElementById('text-color').setAttribute('disabled','disabled');
        document.getElementById('color-inputs').style.display = 'none';
        var children = document.getElementsByTagName('th');
        
        if(!size){
        
                for (var i = 0; i < children.length; i++) {
                        if(children[i].innerHTML == 'Colori' || children[i].innerHTML == 'Colours') {
                                children[i].style.display = 'none';
                        }
                }
                
                var select=document.getElementById("size")
                for (var i=0; i<select.options.length; i++){
                    if (select.options[i].value == '336X280' || select.options[i].value == '160X600'){
                        select.remove(i);
                        i = -1;
                    }
                }
                select.selectedIndex = 0;
                document.getElementById('banner-adsense').style.display = 'none';
                document.getElementById('banner-altervista').style.display = 'block';
                changeSize(select.options[0].value);
                
        }
        else {
                changeSize(size);
        }
        
    }
    if(network == 'adsense') {
        document.getElementById('adsenseType').style.display = 'inline';
        document.getElementById('adsenseType').removeAttribute('disabled');
        document.getElementById('adsenseType').removeAttribute('disabled');
        document.getElementById('border-color').removeAttribute('disabled');
        document.getElementById('border-style').removeAttribute('disabled');
        document.getElementById('background-color').removeAttribute('disabled');
        document.getElementById('link-color').removeAttribute('disabled');
        document.getElementById('url-color').removeAttribute('disabled');
        document.getElementById('text-color').removeAttribute('disabled');
        document.getElementById('color-inputs').style.display = 'block';
        var children = document.getElementsByTagName('th');
        for (var i = 0; i < children.length; i++) {
                if(children[i].innerHTML == 'Colori' || children[i].innerHTML == 'Colours') {
                        children[i].style.display = 'inline';
                }
        }
        
        if(!size) {
        
                var select = document.getElementById('size');
                select.add( new Option('Skycraper Large 160x600','160X600'),0);
                select.add( new Option('Video Banner Large 336x280','336X280'),0);
                select.selectedIndex = 0;
                document.getElementById('banner-adsense').style.display = 'block';
                document.getElementById('banner-altervista').style.display = 'none';
                changeSize(select.options[0].value);
                
        }
        else {
                changeSize(size);
        }
        
    }
    return;
}

function changeSize(size) {
        
        if(document.getElementById('adsense-type').checked == true) {
        
                var nAds = {
                        '300X250': 4,
                        '336X280': 4,
                        '125X125': 1,
                        '120X600': 4,
                        '160X600': 5,
                        '468X60': 1
                };
                
                var banner_size = size.split('X');
                banner_size[0] -= 4;
                banner_size[1] -= 4;
                var element = document.getElementById('border');
                element.style.width = banner_size[0]+'px';
                element.style.height = banner_size[1]+'px';
                var children = getElementsByClassName(element,'bg');
                if(children.length < nAds[size]) {
                        for (var i = children.length; i < nAds[size]; i++) {
                                var oldNode = children[0];
                                var newNode = oldNode.cloneNode(true);
                                element.appendChild(newNode);
                        }
                } else if(children.length > nAds[size]) {
                        for (var i = children.length; i > nAds[size]; i--) {
                                element.removeChild(children[i-1]);
                        }
                }
                var fontSize;
                var padding;
                switch(size) {
                        case '300X250':
                                fontSize = '12px';
                                padding = '3px';
                                break;
                        case '336X280':
                                fontSize = '13px';
                                padding = '3px';
                                break;
                        case '125X125':
                                fontSize = '12px';
                                padding = '5px';
                                break;
                        case '120X600':
                                fontSize = '14px';
                                padding = '20px';
                                break;
                        case '160X600':
                                fontSize = '15px';
                                padding = '9px';
                                break;
                        case '468X60':
                                fontSize = '12px';
                                padding = '2px';
                                break;
                }
                
                var banner = document.getElementById('banner-adsense');
                banner.style.fontSize = fontSize;
                var children = getElementsByClassName(element,'bg');
                for(var i = 0; i < children.length; i++) {
                        children[i].style.paddingTop = padding;
                        children[i].style.paddingBottom = padding;
                }
                
        } else {
                
                document.getElementById('banzai-adv').setAttribute('src','http://im.altervista.org/adv/banzai-' + size.toLowerCase() + '.jpg');       
        
        }
        
        return;
}